--@TBCONFIG INFO: Detail Enhance 1
--@TBCONFIG INFO: Revision 1
--@TBCONFIG INFO:  
--@TBCONFIG INFO: General increase in detail.
--@TBCONFIG SLIDER: Sharpening, 55
--@TBCONFIG SLIDER: Outlining, 20
--@TBCONFIG SLIDER: Smoothing, 10
--@TBCONFIG SLIDER: Contrast Detail, 100
--@TBCONFIG SLIDER: Color Contrast, 50

--@TBCONFIG FLAG: Enable Sharping, True
--@TBCONFIG FLAG: Enable Outlining, True
--@TBCONFIG FLAG: Enable Smoothing, True
--@TBCONFIG FLAG: Enable Contrast Mask, True
--@TBCONFIG FLAG: Enable Color Contrast, False
--@TBCONFIG FLAG: Enable Auto Levels, True

paint_open(0)

if flagVal4 == true then
  paint_filter("Contrast Mask",0,sliderVal4 * 1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
  paint_filter("HSL Adjust",0,500,500,420,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
end

if flagVal5 == true then
  paint_filter("Color Contrast",0,sliderVal5 * 1000,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
end

if flagVal3 == true then
  paint_filter("Surface Blur",0,sliderVal3 * 1000,750,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0)
end  

if flagVal1 == true then
  paint_filter("Unsharp Mask",0,0,sliderVal1 * 1000,350,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
end  

if flagVal2 == true then
  paint_filter("Outliner 1",0,sliderVal2 * 200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
end  

if flagVal6 == true then
  paint_filter("Levels",0,0,1000,0,1000,0,0,0,0,1,1,1,0,1,0,0,0,0,0)
end

paint_close()
